The Feb long challenge has just concluded. We hope that you enjoyed participating in the contest. Please feel free to pitch in your views about anything that you would like to mention about the contest.
How come this solution to the question Chef and odd queries: https://www.codechef.com/viewsolution/17408003 that uses a bitset of total size 10^10 bits (i.e. 1250 MBs) passed, where normally memory limit is 256 MB or 512 MB in long challenge questions. Also, the memory limit is not mentioned at all in the problem! This solution solves the problem without any segment tree or sqrt decomposition but just using bitsets. I think this kind of solutions having O(N^2) memory are not supposed to pass for chef and odd queries. @admin@markysha
I have been awarded ~20 pts for sinply printing what is given as input.
Indeed weak test cases.
Such an unoptimized soln got 20 pts and pass subtask 1 of Chef and odd queries awarded 10 pts.
Plz don.t allow this type of soln to take away 20 pts on challenge question. As it reduces the moral of other participants when they get to know this.
And they are trying hard to get 100 pts. Or not attempting just because they cannot think of procedure to solve Q.
On the other hand people are getting pts for simply printing input. And that too 20 pts.
This type of soln deserves less than 5 pts. So plz make sure from next time that score should be such that this does not happen again. Because this affects rating and ranking of many deserved ones.
can anyone tell how the bitset soln passd. Not only it has memory complexity N^2 but also time complexity of N^2. On the other hand i dont think testcases were very weak as my https://www.codechef.com/viewsolution/17342876 O(Nsqrt(N)log(sqrt(N))) algo failed. Or did i miss something?
Regarding the gradient of the contest , I feel the first 5 problems were good as per their difficulty level but 6th,8th,9th and 10th problems should have been a little harder than they were, especially the 9th problem which require only a greedy approach.
Hello Community!
I wanted to contribute to the community but since I don’t have enough karma points, I want you to upvote only if you like my unofficial editorial on PERMPAL :
Contest link:https://www.codechef.com/FEB18/problems/PERMPAL
My approach:
1.The answer will be -1 only when the count of any of 26 characters is odd and there exists more than one such character’s example : abbc, here we can see both ‘a’ and ‘c’ have odd count in the given string.
2.In any other case, we will always find a answer, that is pallindrome.
3.Based on above point, we will deal with two cases :
—(A)When only one character comes with odd count and rest other characters with even count.
—(B)When all the character in the given string are of even count.
Now the question comes How to solve this?
So it is much clear for case 3(A) that the odd count characters should be in the middle of string in order to make it pallindrome, eg abbba n(b)=3 i.e odd
Since the ordering of characters won’t matter in case of even count, we will print index one by one from vector<vector> v(26), I have used this for storing the index of each character(a-z) in the string.In the output I need to just print the even count characters index ,simultaneously from beginning and end.
Keep in mind that the odd count character should be in the middle.